"use strict";

/* exported logger */

var AbstractGuiElement = require('../AbstractGuiElement');
var ConfigurationType = require('../../ConfigurationType');
var Functions = require('../../Functions');

var logger = require('../../logger');

function Footer(params) {
  AbstractGuiElement.call(this, params);
  var self = this;

  self._createFooterGui();
}

Footer.prototype = Object.create(AbstractGuiElement.prototype);
Footer.prototype.constructor = Footer;

Footer.prototype._createFooterGui = function() {
  var self = this;
  var projectId = self.getMap().getProject().getProjectId();
  self.getElement().className = "footerLinks";

  var link = Functions.createElement({
    type : "a",
    name : "footerAdminLink",
    style : "float:left; padding-left:25px;",
    content : '<i class="fa fa-lock" style="font-size:17px"></i> &nbsp;ADMIN',
  });
  link.href = ServerConnector.getServerBaseUrl() + "/admin.xhtml?id=" + projectId;
  self.getElement().appendChild(link);

  link = Functions.createElement({
    type : "a",
    name : "footerManualLink",
    style : "float:left; padding-left:25px;",
    content : '<i class="fa fa-lock" style="font-size:17px"></i> &nbsp;MANUAL',
  });
  link.href = "#";
  link.onclick = function() {
    return ServerConnector.getConfigurationParam(ConfigurationType.USER_MANUAL_FILE).then(function(manualFileUrl) {
      var win = window.open(manualFileUrl, '_user_manual_');
      win.focus();
    });
  };
  self.getElement().appendChild(link);

  link = Functions.createElement({
    type : "a",
    name : "footerAdminLink",
    style : "float:right; padding-right:25px;",
    content : 'EXPORT&nbsp; <i class="fa fa-mail-forward" style="font-size:17px"></i>',
  });
  link.href = ServerConnector.getServerBaseUrl() + "/export.xhtml?id=" + projectId;
  self.getElement().appendChild(link);
};

module.exports = Footer;
