"use strict";

var Helper = require('../../Helper');

var AliasMarker = require('../../../../main/js/map/marker/AliasMarker');
var assert = require('assert');

describe('AliasMarker', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });

  it("Constructor", function() {
    var map = helper.createAbstractCustomMap();
    var alias = helper.createAlias(map);

    var aliasMarker = new AliasMarker(alias.getId(), "empty.png", alias, map);

    assert.equal(alias.getId(), aliasMarker.getId());
    assert.equal(map, aliasMarker.getCustomMap());
    assert.equal("empty.png", aliasMarker.getIcon());
    assert.equal(alias, aliasMarker.getAliasData());

    assert.ok(aliasMarker._marker);
    assert.ok(aliasMarker.getBounds());
  });

});
